> ## Documentation Index
> Fetch the complete documentation index at: https://docs.baselayer.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Lien Filing Submission

> Deletes a draft lien filing submission.

This endpoint allows users to delete a lien filing submission only if it is in 'Draft' status.

An imported lien filing is always deletable: deleting it is how an
organization gives up its claim over a filing in the public record.



## OpenAPI

````yaml /api-reference/openapi.json delete /lien_submissions/{filing_id}
openapi: 3.1.0
info:
  title: baselayer-api-service
  version: 0.1.0
servers:
  - url: https://api.baselayer.com/
security: []
paths:
  /lien_submissions/{filing_id}:
    delete:
      tags:
        - Lien Filing
      summary: Delete Lien Filing Submission
      description: >-
        Deletes a draft lien filing submission.


        This endpoint allows users to delete a lien filing submission only if it
        is in 'Draft' status.


        An imported lien filing is always deletable: deleting it is how an

        organization gives up its claim over a filing in the public record.
      operationId: delete_lien_filing_submission_lien_submissions__filing_id__delete
      parameters:
        - name: filing_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Lien Filing ID to delete.
            description: The unique identifier of the lien filing submission to delete.
          description: The unique identifier of the lien filing submission to delete.
      responses:
        '204':
          description: Successfully deleted the draft lien filing submission.
        '400':
          description: Cannot delete a lien filing submission that is not in draft status.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
                title: CannotDeleteNonDraftLienFiling
                description: >-
                  Cannot delete a lien filing submission that is not in 'Draft'
                  status.
                examples:
                  - code: 431
                    message: >-
                      Cannot delete a lien filing submission that is not in
                      'Draft' status.
                    metadata: {}
        '404':
          description: The lien filing submission does not exist.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
                title: ResourceNotFound
                description: Could not locate the resource for the given URI.
                examples:
                  - code: 1
                    message: Could not locate the resource for the given URI.
                    metadata: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    APIError:
      properties:
        code:
          type: integer
          title: Code
        message:
          type: string
          title: Message
        uri:
          anyOf:
            - type: string
            - type: 'null'
          title: Uri
        metadata:
          additionalProperties: true
          type: object
          title: Metadata
      type: object
      required:
        - code
        - message
      title: APIError
      description: >-
        APIError is a Pydantic model for standardizing error responses from the
        API.


        This class is used internally by APIException for JSON serialization.

        Users should typically work with APIException directly in exception
        catalogs.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````